Create skill
Create a skill owned by the API key user. Provide either `content` (the `SKILL.md` body) or `files` (the complete file set, which must include `SKILL.md`). Creating a skill with the ID of an archived skill restores it; only its original owner or an admin can do this.
Create a skill owned by the API key user. Provide either content (the SKILL.md body) or files (the complete file set, which must include SKILL.md). Creating a skill with the ID of an archived skill restores it; only its original owner or an admin can do this.
bearerAuthAuthorizationBearer <token>API key authentication. Use your API key as the bearer token.
application/json- body
Provide either content or files, not both.
id*Skills.SkillIdUnique kebab-case skill ID
^[a-z0-9-]+$1 <= length <= 100description?stringlength <= 2000""content?stringSKILL.md body. Mutually exclusive with files.
files?array<>Complete file set including SKILL.md. Mutually exclusive with content. At most 20 files and 20 MB in total.
items <= 20collaborator_ids?array<>Inspect user IDs who can also edit the skill
[]Skill created
application/json- response
data*curl -X POST 'https://your-org.inspect.com/api/public/v1/skills' \ -H 'Content-Type: application/json' \ -d '{ "id": "string"}'{ "data": { "id": "string", "url": "http://example.com", "description": "string", "files": [ { "name": "string", "content": "string" } ], "is_builtin": true, "owner": { "id": "string", "name": "string", "email": "string", "image": "string" }, "collaborators": [ { "id": "string", "name": "string", "email": "string", "image": "string" } ], "viewer_can_edit": true, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }}